package com.diagbot.vo;

import java.util.List;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@SuppressWarnings({ "serial", "rawtypes" })
@Getter
@Setter
public class MultContactListVO extends Page {
    
    /**
     * 术语名称
     */
    @ApiModelProperty(value="术语名称")
    private String name;

    /**
     * 术语类型
     */
    @ApiModelProperty(value="术语类型")
    private String type;
	
	/**
	 * 非前端传参，后台查询时临时使用
	 */
	private List<Long> rootNodeConceptIds;
    
}